import { AppUsageEvent } from '../../domain/AppUsageEvent';
/**
 * enables programmatically capturing an observation that will be emitted as an app usage event
 *
 * usecases
 * - observe that a user has been given a particular experimental treatment
 * - observe that a user has been assigned some identifier from another analytics software
 * - etc
 *
 * note
 * - queues the requests so that even if session has not been defined yet, it will eventually succeed
 */
export declare const captureObservationEvent: ({ type, details, }: {
    type: string;
    details: AppUsageEvent['details'];
}) => Promise<void>;
