"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getDescriptionOfElement = void 0;
const getSelectorOfElement_1 = require("./getSelectorOfElement");
/**
 * defines a description of a dom element that can be used to easily identify the element in app-usage-events
 */
const getDescriptionOfElement = (element) => {
    var _a;
    return {
        identity: (_a = element.id) !== null && _a !== void 0 ? _a : undefined,
        text: element.textContent && element.textContent.length < 30 // 30 to exclude, for example, all text if someone clicks on the root div
            ? element.textContent
            : undefined,
        selector: (0, getSelectorOfElement_1.getSelectorOfElement)(element),
    };
};
exports.getDescriptionOfElement = getDescriptionOfElement;
//# sourceMappingURL=getDescriptionOfElement.js.map