"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const calculateSequenceFromKeyEvents_1 = require("./calculateSequenceFromKeyEvents");
const keyEventsTypingHello = ['h', 'e', 'l', 'l', 'o']
    .map((key) => {
    return [
        { key, mode: 'down' },
        { key, mode: 'up' },
    ];
})
    .flat();
describe('calculateSequenceFromKeyEvents', () => {
    it('should be able to sequence correctly for typing a sentence without modifiers', () => __awaiter(void 0, void 0, void 0, function* () {
        const keyEvents = keyEventsTypingHello;
        const sequence = (0, calculateSequenceFromKeyEvents_1.calculateSequenceFromKeyEvents)({
            events: keyEvents,
        });
        expect(sequence).toEqual(['h', 'e', 'l', 'l', 'o']);
    }));
    it('should be able to correctly represent a key that was down while others were pressed', () => __awaiter(void 0, void 0, void 0, function* () {
        const keyEvents = [
            { key: 'Shift', mode: 'down' },
            ...keyEventsTypingHello,
            { key: 'Shift', mode: 'up' },
        ];
        const sequence = (0, calculateSequenceFromKeyEvents_1.calculateSequenceFromKeyEvents)({
            events: keyEvents,
        });
        expect(sequence).toEqual(['d:Shift', 'h', 'e', 'l', 'l', 'o', 'u:Shift']);
    }));
});
//# sourceMappingURL=calculateSequenceFromKeyEvents.test.js.map