"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.executeTaskEmitToRemote = void 0;
const simple_async_tasks_1 = require("simple-async-tasks");
const base64DecodeCompressedPayload_1 = require("../compression/base64DecodeCompressedPayload");
const fetchAgainstRemote_1 = require("../fetchAgainstRemote");
const daoTaskEmitToRemote_1 = require("./daoTaskEmitToRemote");
exports.executeTaskEmitToRemote = (0, simple_async_tasks_1.withAsyncTaskExecutionLifecycleExecute)(({ task }) => __awaiter(void 0, void 0, void 0, function* () {
    // emit the data
    yield (0, fetchAgainstRemote_1.fetchAgainstRemote)({
        version: 1,
        endpoint: task.endpoint,
        payload: (0, base64DecodeCompressedPayload_1.base64DecodeCompressedPayload)(task.payload), // TODO: support payloads that weren't base64 encoded
    });
    // mark it as fulfilled
    yield daoTaskEmitToRemote_1.daoTaskEmitToRemote.upsert({
        task: Object.assign(Object.assign({}, task), { status: simple_async_tasks_1.AsyncTaskStatus.FULFILLED }),
    });
}), {
    dao: daoTaskEmitToRemote_1.daoTaskEmitToRemote,
});
//# sourceMappingURL=executeTaskEmitToRemote.js.map