"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.requeueTasksEmitToRemoteOnLoad = void 0;
const simple_async_tasks_1 = require("simple-async-tasks");
const daoTaskEmitToRemote_1 = require("./daoTaskEmitToRemote");
const queueTaskEmitToRemote_1 = require("./queueTaskEmitToRemote");
/**
 * a method which can be used to requeue all tasks saved in the dao on browser page load
 *
 * usecases
 * - requeue all tasks into memory after page reload
 *
 * note
 * - this is intended to be called inside of the provider on page load
 */
const requeueTasksEmitToRemoteOnLoad = () => __awaiter(void 0, void 0, void 0, function* () {
    // look up all tasks matching in progress statuses
    const tasksToRequeue = yield daoTaskEmitToRemote_1.daoTaskEmitToRemote.findAllByStatus({
        status: [
            simple_async_tasks_1.AsyncTaskStatus.QUEUED,
            simple_async_tasks_1.AsyncTaskStatus.ATTEMPTED,
            simple_async_tasks_1.AsyncTaskStatus.FAILED, // ones that had failed
        ],
    });
    // requeue them all
    queueTaskEmitToRemote_1.asyncTaskEmitToRemoteQueue.push(tasksToRequeue);
});
exports.requeueTasksEmitToRemoteOnLoad = requeueTasksEmitToRemoteOnLoad;
//# sourceMappingURL=requeueTasksEmitToRemoteOnLoad.js.map