"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.base64DecodeCompressedPayload = void 0;
/**
 * decodes base64 encoded a compressed payload
 *
 * usecases
 * - decode stringified events from a persistance layer to...
 *   - send them as binary in a network request (binary takes less space than base64)
 *   - re-inflate the data to see what it was originally
 *
 * ref
 * - https://stackoverflow.com/a/55311625/3068233
 */
const base64DecodeCompressedPayload = (encoded) => new Uint8Array(Buffer.from(encoded, 'base64'));
exports.base64DecodeCompressedPayload = base64DecodeCompressedPayload;
//# sourceMappingURL=base64DecodeCompressedPayload.js.map