"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.fetchAgainstRemote = void 0;
const AppUsageEventEmissionError_1 = require("../AppUsageEventEmissionError");
const getApiCredentials_1 = require("./getApiCredentials");
const fetchAgainstRemote = ({ endpoint, version, payload, }) => __awaiter(void 0, void 0, void 0, function* () {
    const { apiKey, apiHost } = (0, getApiCredentials_1.getApiCredentials)();
    const response = yield fetch([
        apiHost.replace(/\/$/, ''),
        `v${version}`,
        endpoint.replace(/^\//, ''),
    ].join('/'), {
        method: 'POST',
        mode: 'cors',
        headers: {
            Authorization: `Bearer ${apiKey}`,
        },
        body: payload,
    });
    if (response.status !== 200)
        throw new AppUsageEventEmissionError_1.AppUsageEventEmissionError('fetch against remote returned non successful status code', { status: response.status, body: response.body });
});
exports.fetchAgainstRemote = fetchAgainstRemote;
//# sourceMappingURL=fetchAgainstRemote.js.map