"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.captureSessionLastUsedAt = void 0;
const simple_in_memory_queue_1 = require("simple-in-memory-queue");
const findOrCreateAppUsageSession_1 = require("./findOrCreateAppUsageSession");
const sessionLastUsedAtEventQueue = (0, simple_in_memory_queue_1.createQueueWithBatchConsumer)({
    threshold: { milliseconds: 100, size: 100 },
    consumer: ({ items }) => localStorage.setItem(findOrCreateAppUsageSession_1.SESSION_LAST_USE_KEY, JSON.stringify(Object.assign({}, items.slice(-1)[0]))),
});
/**
 * exposes a simple way to capture the last time a session was used
 */
const captureSessionLastUsedAt = (event) => sessionLastUsedAtEventQueue.push(event);
exports.captureSessionLastUsedAt = captureSessionLastUsedAt;
//# sourceMappingURL=captureSessionLastUsedAt.js.map