/**
 * finds or creates the installation uuid for this device
 *
 * note
 * - installation uuids are "permanent" uuids assigned to the particular install of our app
 * - in the browser environment,
 *   - an "install" is considered as the first time that the app is loaded (i.e., local storage does not have the installation uuid)
 *   - an "uninstall" is considered as when the user clears their browsers cache (i.e., wipes local storage)
 * - therefore,
 *   - we simply find or create the uuid in localstorage
 */
export declare const findOrCreateInstallationUuid: () => Promise<string>;
